"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-38/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fca8939d820>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7fca8939d8b0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fca8939d940>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fca8939d9d0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7fca8939da60>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7fca8939daf0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fca8939db80>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fca8939dc10>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fca8939dca0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fca8939dd30>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7fca8939ddc0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7fca8939de50>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7fca8939dee0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7fca8939df70>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a6040>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a60d0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a6160>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a61f0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a6280>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a6310>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a63a0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a6430>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a64c0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a6550>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a6670>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a65e0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a6700>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a6790>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a6820>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a68b0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a6940>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a69d0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a6a60>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a6af0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a6b80>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a6c10>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a6ca0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a6d30>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a6dc0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a6e50>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a6ee0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a6f70>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a9040>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a90d0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a9160>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a91f0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a9280>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a9310>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a93a0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a9430>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a94c0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a9550>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a95e0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a9670>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a9700>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a9790>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a9820>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a98b0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a9940>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a99d0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a9a60>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a9af0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a9b80>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a9c10>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a9ca0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a9e50>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a9d30>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a9ee0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893a9f70>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893ad040>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893ad0d0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893ad160>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893ad280>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893ad1f0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893ad310>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893ad3a0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893ad430>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893ad550>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893ad4c0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893ad5e0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893ad670>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893ad700>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893ad790>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893ad820>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7fca893ad8b0>)]
name: str = 'fr_HOCCN'
